at.chipkarte.client.dmp.soap

## Class AusschreibeParameter

- Object
- - at.chipkarte.client.dmp.soap.AusschreibeParameter

-     public class AusschreibeParameter
      extends Object

  Enthält die Parameter zu einer DMP Ausschreibeanfrage.

  Optionale Felder dürfen den Wert `null` oder, im Fall von Strings, einen Leerstring zurückliefern. Pflichtfelder dürfen weder `null` noch einen Leerstring zurückliefern. Felder, die nicht explizit als optional gekennzeichnet sind, sind Pflichtfelder.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `AusschreibeParameter()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getAusschreibeGrund()` Grund der Ausschreibung in codierter Form.
    `String` | `getDmpCode()` Code des Disease Management Programms.
    `String` | `getSvNummer()` Sozialversicherungsnummer der SV-Person, die die Leistung in Anspruch nimmt.
    `void` | `setAusschreibeGrund(String ausschreibeGrund)`
    `void` | `setDmpCode(String dmpCode)`
    `void` | `setSvNummer(String svNummer)`

    - ### Methods inherited from class Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### AusschreibeParameter

          public AusschreibeParameter()

  - ### Method Detail

    - #### getSvNummer

          public String getSvNummer()

      Sozialversicherungsnummer der SV-Person, die die Leistung in Anspruch nimmt.
      Es muss entweder eine `svNummer` oder in der aufrufenden Funktion ein mit e-card erstelltes `cardToken` angegeben werden.
      Wird die SV-Nummer und ein CardToken angegeben, muss das CardToken mit der zur SV-Nummer gehörenden e-card erstellt worden sein.
      Die Sozialversicherungsnummer muss den Regeln für Sozialversicherungsnummern entsprechen (Prüfziffer).
      Format: 10-stellig, numerisch.
      Returns:
        Sozialversicherungsnummer

    - #### getDmpCode

          public String getDmpCode()

      Code des Disease Management Programms.
      Mögliche Werte siehe Funktion `getDMPs()`.
      Format: maximal 2-stellig.
      Returns:
        Code des Disease Management Programms

    - #### getAusschreibeGrund

          public String getAusschreibeGrund()

      Grund der Ausschreibung in codierter Form.
      Mögliche Werte siehe Konstante `AusschreibeGrund`.
      Format: maximal 2-stellig.
      Returns:
        Code der Ausschreibung

    - #### setSvNummer

          public void setSvNummer(String svNummer)

    - #### setDmpCode

          public void setDmpCode(String dmpCode)

    - #### setAusschreibeGrund

          public void setAusschreibeGrund(String ausschreibeGrund)